Ask Your Question
1

Use different R version than the one included

asked 2012-09-30 07:27:12 -0500

NL gravatar image

I'm trying to use an R package that just HAS to have the latest version of R. Is there a way to have Sage interface to the latest R version installed elsewhere on my computer instead of the version that comes with Sage?

(sorry, seems like this probably has been asked and answered before, but I searched and couldn't find it)

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
1

answered 2012-09-30 12:08:28 -0500

I have no idea if this will work, but you could try:

  • removing the files SAGE_ROOT/local/bin/R and SAGE_ROOT/local/bin/Rscript, and creating instead (symbolic) links pointing to the R installation you want to use.
  • do similarly with the directory SAGE_ROOT/local/lib/R/
edit flag offensive delete link more

Comments

It's worth a try, but don't be disappointed if it doesn't work right away. You could also try upgrading the spkg - see the developer guide for how to change spkgs.

kcrisman gravatar imagekcrisman ( 2012-10-01 02:17:25 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-09-30 07:27:12 -0500

Seen: 117 times

Last updated: Sep 30 '12